@import "../constants/background";
@import "../fonts/fonts";
@import "../constants/colors";

.container {
  max-width: 1000px;
}

.header {

  &__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &__content {
    margin-bottom: 10px;

    &__logo {
      margin-right: 30px;
    }
  }

  &__hamburger {
    display: none;
  }

  &__menu {
    position: static;
    display: block;
    background: none;
    border-radius: 0;

    &-list {
      display: flex;
      flex-direction: row;
    }

    &-item {
      border-top: none;
      border-bottom: 2px solid transparent;

      &:hover {
        border-bottom: 2px solid $link-color-hover;
      }
    }

    &-link {
      padding: 10px;

      &:hover {
        background: none;
      }
    }
  }

  &__contacts {

    &__tel {
      margin-right: 30px;
    }

    &__tel-icon {
      font-size: 17px;
      line-height: 17px;
    }

    &__tel-link {
      font-size: 17px;
      line-height: 17px;
    }

    &__email-icon {
      font-size: 17px;
      line-height: 17px;
    }

    &__email-link {
      font-size: 17px;
      line-height: 17px;
    }
  }

  &__socials {

    &-list {
      justify-content: flex-end;
      padding: 10px;
    }

    &-item {
      margin-right: 10px;

      &:last-child {
        margin-right: 0;
      }

      &-link {
        font-size: 40px;
        line-height: 42px;
      }
    }
  }
}